## r-bioc-tcgabiolinks 2.16.3+dfsg

=== DESCRIPTION ===
Package: TCGAbiolinks
Type: Package
Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
        with GDC data
Version: 2.16.3
Date: 2020-07-09
Author: Antonio Colaprico,
    Tiago Chedraoui Silva,
    Catharina Olsen,
    Luciano Garofano,
    Davide Garolini,
    Claudia Cava,
    Thais Sabedot,
    Tathiane Malta,
    Stefano M. Pagnotta,
    Isabella Castiglioni,
    Michele Ceccarelli,
    Gianluca Bontempi,
    Houtan Noushmehr
Maintainer: Tiago Chedraoui Silva <tiagochst@gmail.com>,
 Antonio Colaprico <axc1833@med.miami.edu>
Depends: R (>= 3.5)
Imports: downloader (>= 0.4), grDevices, dplyr, graphics, tibble,
        GenomicRanges, XML (>= 3.98.0), data.table, jsonlite (>=
        1.0.0), plyr, knitr, methods, biomaRt, ggplot2, stringr (>=
        1.0.0), IRanges, rvest (>= 0.3.0), stats, utils, S4Vectors,
        R.utils, SummarizedExperiment (>= 1.4.0), readr, tools, tidyr,
        purrr, xml2, httr (>= 1.2.1)
Description: The aim of TCGAbiolinks is : i) facilitate the GDC open-access
    data retrieval, ii) prepare the data using the appropriate pre-processing
    strategies, iii) provide the means to carry out different standard analyses
    and iv) to easily reproduce earlier research results. In more detail, the package
    provides multiple methods for analysis (e.g., differential expression analysis,
    identifying differentially methylated regions) and methods for visualization
    (e.g., survival plots, volcano plots, starburst plots) in order to easily
    develop complete analysis pipelines.
License: GPL (>= 3)
biocViews: DNAMethylation, DifferentialMethylation, GeneRegulation,
        GeneExpression, MethylationArray, DifferentialExpression,
        Pathways, Network, Sequencing, Survival, Software
Suggests: jpeg, png, BiocStyle, rmarkdown, devtools, maftools,
        parmigene, c3net, minet, dnet, Biobase, affy, testthat, sesame,
        pathview, clusterProfiler, ComplexHeatmap, circlize,
        ConsensusClusterPlus, igraph, TCGAbiolinksGUI.data, supraHex,
        limma, edgeR, sva, EDASeq, survminer, genefilter, gridExtra,
        survival, doParallel, parallel, ggrepel (>= 0.6.3), scales,
        grid
VignetteBuilder: knitr
LazyData: true
URL: https://github.com/BioinformaticsFMRP/TCGAbiolinks
BugReports: https://github.com/BioinformaticsFMRP/TCGAbiolinks/issues
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/TCGAbiolinks
git_branch: RELEASE_3_11
git_last_commit: 87d60f8d
git_last_commit_date: 2020-07-15
Date/Publication: 2020-07-15
NeedsCompilation: no
Packaged: 2020-07-15 23:36:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.16.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add r-bioc-edaseq, r-cran-survminer, r-bioc-edger to test-deps

 -- Dylan Aïssi <daissi@debian.org>  Mon, 20 Jul 2020 12:02:31 +0200

r-bioc-tcgabiolinks (2.16.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Jun 2020 16:17:12 +0200

r-bioc-tcgabiolinks (2.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 May 2020 21:03:13 +0200

r-bioc-tcgabiolinks (2.14.1+dfsg-2) unstable; urgency=medium

  * Add missing copyright
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Apr 2020 09:54:46 +0200

r-bioc-tcgabiolinks (2.14.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #956246)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Apr 2020 22:25:36 +0200

=== debian/control ===
Source: r-bioc-tcgabiolinks
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-downloader (>= 0.4),
               r-cran-dplyr,
               r-cran-tibble,
               r-bioc-genomicranges,
               r-cran-xml (>= 3.98.0),
               r-cran-data.table,
               r-cran-jsonlite,
               r-cran-plyr,
               r-cran-knitr,
               r-bioc-biomart,
               r-cran-ggplot2,
               r-cran-stringr (>= 1.0.0),
               r-bioc-iranges,
               r-cran-rvest,
               r-bioc-s4vectors,
               r-cran-r.utils,
               r-bioc-summarizedexperiment,
               r-cran-readr,
               r-cran-tidyr,
               r-cran-purrr,
               r-cran-xml2,
               r-cran-httr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks.git
Homepage: https://bioconductor.org/packages/TCGAbiolinks/
Rules-Requires-Root: no

Package: r-bioc-tcgabiolinks
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R/Bioconductor package for integrative analysis with GDC data
 The aim of TCGAbiolinks is:
  1) facilitate the GDC open-access data retrieval,
  2) prepare the data using the appropriate pre-processing strategies,
  3) provide the means to carry out different standard analyses and
  4) to easily reproduce earlier research results.
 In more detail, the package provides multiple methods for analysis (e.g.,
 differential expression analysis, identifying differentially methylated
 regions) and methods for visualization (e.g., survival plots, volcano plots,
 starburst plots) in order to easily develop complete analysis pipelines.

## r-bioc-tcgabiolinks 2.18.0+dfsg

=== DESCRIPTION ===
Package: TCGAbiolinks
Type: Package
Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
        with GDC data
Version: 2.18.0
Date: 2020-07-09
Author: Antonio Colaprico,
    Tiago Chedraoui Silva,
    Catharina Olsen,
    Luciano Garofano,
    Davide Garolini,
    Claudia Cava,
    Thais Sabedot,
    Tathiane Malta,
    Stefano M. Pagnotta,
    Isabella Castiglioni,
    Michele Ceccarelli,
    Gianluca Bontempi,
    Houtan Noushmehr
Maintainer: Tiago Chedraoui Silva <tiagochst@gmail.com>,
 Antonio Colaprico <axc1833@med.miami.edu>
Depends: R (>= 4.0)
Imports: downloader (>= 0.4), grDevices, biomaRt, dplyr, graphics,
        tibble, GenomicRanges, XML (>= 3.98.0), data.table, jsonlite
        (>= 1.0.0), plyr, knitr, methods, ggplot2, stringr (>= 1.0.0),
        IRanges, rvest (>= 0.3.0), stats, utils, S4Vectors, R.utils,
        SummarizedExperiment (>= 1.4.0), TCGAbiolinksGUI.data, readr,
        tools, tidyr, purrr, xml2, httr (>= 1.2.1)
Description: The aim of TCGAbiolinks is : i) facilitate the GDC open-access
    data retrieval, ii) prepare the data using the appropriate pre-processing
    strategies, iii) provide the means to carry out different standard analyses
    and iv) to easily reproduce earlier research results. In more detail, the package
    provides multiple methods for analysis (e.g., differential expression analysis,
    identifying differentially methylated regions) and methods for visualization
    (e.g., survival plots, volcano plots, starburst plots) in order to easily
    develop complete analysis pipelines.
License: GPL (>= 3)
biocViews: DNAMethylation, DifferentialMethylation, GeneRegulation,
        GeneExpression, MethylationArray, DifferentialExpression,
        Pathways, Network, Sequencing, Survival, Software
Suggests: jpeg, png, BiocStyle, rmarkdown, devtools, maftools,
        parmigene, c3net, minet, dnet, Biobase, affy, testthat, sesame,
        pathview, clusterProfiler, ComplexHeatmap, circlize,
        ConsensusClusterPlus, igraph, supraHex, limma, edgeR, sva,
        EDASeq, survminer, genefilter, gridExtra, survival, doParallel,
        parallel, ggrepel (>= 0.6.3), scales, grid
VignetteBuilder: knitr
LazyData: true
URL: https://github.com/BioinformaticsFMRP/TCGAbiolinks
BugReports: https://github.com/BioinformaticsFMRP/TCGAbiolinks/issues
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/TCGAbiolinks
git_branch: RELEASE_3_12
git_last_commit: df6b579
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-28 04:04:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Nov 2020 08:50:25 +0100

r-bioc-tcgabiolinks (2.16.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 21:33:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-downloader (>= 0.4),
+               r-bioc-biomart,
                r-cran-dplyr,
                r-cran-tibble,
                r-bioc-genomicranges,
@@ -16,7 +17,6 @@
                r-cran-jsonlite,
                r-cran-plyr,
                r-cran-knitr,
-               r-bioc-biomart,
                r-cran-ggplot2,
                r-cran-stringr (>= 1.0.0),
                r-bioc-iranges,
@@ -24,6 +24,7 @@
                r-bioc-s4vectors,
                r-cran-r.utils,
                r-bioc-summarizedexperiment,
+               r-bioc-tcgabiolinksgui.data,
                r-cran-readr,
                r-cran-tidyr,
                r-cran-purrr,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-bioc-edaseq, r-cran-survminer, r-bioc-edger
Restrictions: allow-stderr

## r-bioc-tcgabiolinks 2.22.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.18.0
-Date: 2020-07-09
+Version: 2.22.4
+Date: 2021-11-21
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
     Catharina Olsen,
@@ -50,9 +50,9 @@
 BugReports: https://github.com/BioinformaticsFMRP/TCGAbiolinks/issues
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
-git_branch: RELEASE_3_12
-git_last_commit: df6b579
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 7d9a8aa3
+git_last_commit_date: 2022-01-21
+Date/Publication: 2022-01-23
 NeedsCompilation: no
-Packaged: 2020-10-28 04:04:11 UTC; biocbuild
+Packaged: 2022-01-23 11:19:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.22.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 30 Jan 2022 18:02:27 +0100

r-bioc-tcgabiolinks (2.22.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jan 2022 16:54:50 +0100

r-bioc-tcgabiolinks (2.22.2+dfsg-2) unstable; urgency=medium

  * Test-Depends: r-bioc-edaseq, r-cran-survminer, r-bioc-edger

 -- Andreas Tille <tille@debian.org>  Sat, 01 Jan 2022 11:30:46 +0100

r-bioc-tcgabiolinks (2.22.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 01 Jan 2022 08:40:25 +0100

r-bioc-tcgabiolinks (2.22.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 22:23:45 +0100

r-bioc-tcgabiolinks (2.20.1+dfsg-2) unstable; urgency=medium

  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 22:05:54 +0200

r-bioc-tcgabiolinks (2.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 18:51:22 +0200

r-bioc-tcgabiolinks (2.20.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

  [ Nilesh Patra ]
  * d/control: Versioned B-D as per DESCRIPTION file

 -- Nilesh Patra <nilesh@debian.org>  Mon, 13 Sep 2021 02:09:38 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-downloader (>= 0.4),
+               r-cran-downloader,
                r-bioc-biomart,
                r-cran-dplyr,
                r-cran-tibble,
@@ -18,7 +18,7 @@
                r-cran-plyr,
                r-cran-knitr,
                r-cran-ggplot2,
-               r-cran-stringr (>= 1.0.0),
+               r-cran-stringr,
                r-bioc-iranges,
                r-cran-rvest,
                r-bioc-s4vectors,
@@ -30,7 +30,7 @@
                r-cran-purrr,
                r-cran-xml2,
                r-cran-httr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks.git
 Homepage: https://bioconductor.org/packages/TCGAbiolinks/

## r-bioc-tcgabiolinks 2.24.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.22.4
-Date: 2021-11-21
+Version: 2.24.3
+Date: 2022-21-04
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
     Catharina Olsen,
@@ -24,8 +24,8 @@
         tibble, GenomicRanges, XML (>= 3.98.0), data.table, jsonlite
         (>= 1.0.0), plyr, knitr, methods, ggplot2, stringr (>= 1.0.0),
         IRanges, rvest (>= 0.3.0), stats, utils, S4Vectors, R.utils,
-        SummarizedExperiment (>= 1.4.0), TCGAbiolinksGUI.data, readr,
-        tools, tidyr, purrr, xml2, httr (>= 1.2.1)
+        SummarizedExperiment (>= 1.4.0), TCGAbiolinksGUI.data (>=
+        1.15.1), readr, tools, tidyr, purrr, xml2, httr (>= 1.2.1)
 Description: The aim of TCGAbiolinks is : i) facilitate the GDC open-access
     data retrieval, ii) prepare the data using the appropriate pre-processing
     strategies, iii) provide the means to carry out different standard analyses
@@ -40,19 +40,20 @@
         Pathways, Network, Sequencing, Survival, Software
 Suggests: jpeg, png, BiocStyle, rmarkdown, devtools, maftools,
         parmigene, c3net, minet, dnet, Biobase, affy, testthat, sesame,
-        pathview, clusterProfiler, ComplexHeatmap, circlize,
-        ConsensusClusterPlus, igraph, supraHex, limma, edgeR, sva,
-        EDASeq, survminer, genefilter, gridExtra, survival, doParallel,
-        parallel, ggrepel (>= 0.6.3), scales, grid
+        AnnotationHub, ExperimentHub, pathview, clusterProfiler,
+        Seurat, ComplexHeatmap, circlize, ConsensusClusterPlus, igraph,
+        supraHex, limma, edgeR, sva, EDASeq, survminer, genefilter,
+        gridExtra, survival, doParallel, parallel, ggrepel (>= 0.6.3),
+        scales, grid
 VignetteBuilder: knitr
 LazyData: true
 URL: https://github.com/BioinformaticsFMRP/TCGAbiolinks
 BugReports: https://github.com/BioinformaticsFMRP/TCGAbiolinks/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
-git_branch: RELEASE_3_14
-git_last_commit: 7d9a8aa3
-git_last_commit_date: 2022-01-21
-Date/Publication: 2022-01-23
+git_branch: RELEASE_3_15
+git_last_commit: 823bf847
+git_last_commit_date: 2022-06-15
+Date/Publication: 2022-06-16
 NeedsCompilation: no
-Packaged: 2022-01-23 11:19:58 UTC; biocbuild
+Packaged: 2022-06-16 22:19:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.24.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2022 11:45:37 +0200

r-bioc-tcgabiolinks (2.24.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 10:12:56 +0200

r-bioc-tcgabiolinks (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 09:50:58 +0200

## r-bioc-tcgabiolinks 2.25.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -24,13 +24,13 @@
                r-bioc-s4vectors,
                r-cran-r.utils,
                r-bioc-summarizedexperiment,
-               r-bioc-tcgabiolinksgui.data,
+               r-bioc-tcgabiolinksgui.data (>= 1.15.1),
                r-cran-readr,
                r-cran-tidyr,
                r-cran-purrr,
                r-cran-xml2,
                r-cran-httr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks.git
 Homepage: https://bioconductor.org/packages/TCGAbiolinks/

## r-bioc-tcgabiolinks 2.25.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.24.3
-Date: 2022-21-04
+Version: 2.25.3
+Date: 2022-17-08
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
     Catharina Olsen,
@@ -49,11 +49,12 @@
 LazyData: true
 URL: https://github.com/BioinformaticsFMRP/TCGAbiolinks
 BugReports: https://github.com/BioinformaticsFMRP/TCGAbiolinks/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
+Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
-git_branch: RELEASE_3_15
-git_last_commit: 823bf847
-git_last_commit_date: 2022-06-15
-Date/Publication: 2022-06-16
+git_branch: master
+git_last_commit: 3d99f1c7
+git_last_commit_date: 2022-09-19
+Date/Publication: 2022-09-20
 NeedsCompilation: no
-Packaged: 2022-06-16 22:19:56 UTC; biocbuild
+Packaged: 2022-09-20 22:36:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.25.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:35:21 +0100

## r-bioc-tcgabiolinks 2.28.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.25.3
-Date: 2022-17-08
+Version: 2.28.3
+Date: 2023-06-06
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
     Catharina Olsen,
@@ -49,12 +49,12 @@
 LazyData: true
 URL: https://github.com/BioinformaticsFMRP/TCGAbiolinks
 BugReports: https://github.com/BioinformaticsFMRP/TCGAbiolinks/issues
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
-git_branch: master
-git_last_commit: 3d99f1c7
-git_last_commit_date: 2022-09-19
-Date/Publication: 2022-09-20
+git_branch: RELEASE_3_17
+git_last_commit: bc39be30
+git_last_commit_date: 2023-06-06
+Date/Publication: 2023-06-06
 NeedsCompilation: no
-Packaged: 2022-09-20 22:36:26 UTC; biocbuild
+Packaged: 2023-06-06 22:49:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.28.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jul 2023 22:26:51 +0200

## r-bioc-tcgabiolinks 2.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.28.3
+Version: 2.30.0
 Date: 2023-06-06
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
@@ -52,9 +52,9 @@
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
-git_branch: RELEASE_3_17
-git_last_commit: bc39be30
-git_last_commit_date: 2023-06-06
-Date/Publication: 2023-06-06
+git_branch: RELEASE_3_18
+git_last_commit: 493ef0d
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-06-06 22:49:11 UTC; biocbuild
+Packaged: 2023-10-24 23:23:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 18:17:18 +0100

r-bioc-tcgabiolinks (2.28.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 10:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-dplyr,
                r-cran-tibble,
                r-bioc-genomicranges,
-               r-cran-xml (>= 3.98.0),
+               r-cran-xml,
                r-cran-data.table,
                r-cran-jsonlite,
                r-cran-plyr,
@@ -30,7 +30,7 @@
                r-cran-purrr,
                r-cran-xml2,
                r-cran-httr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks.git
 Homepage: https://bioconductor.org/packages/TCGAbiolinks/

## r-bioc-tcgabiolinks 2.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.30.0
-Date: 2023-06-06
+Version: 2.32.0
+Date: 2024-01-01
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
     Catharina Olsen,
@@ -39,22 +39,23 @@
         GeneExpression, MethylationArray, DifferentialExpression,
         Pathways, Network, Sequencing, Survival, Software
 Suggests: jpeg, png, BiocStyle, rmarkdown, devtools, maftools,
-        parmigene, c3net, minet, dnet, Biobase, affy, testthat, sesame,
+        parmigene, c3net, minet, Biobase, affy, testthat, sesame,
         AnnotationHub, ExperimentHub, pathview, clusterProfiler,
         Seurat, ComplexHeatmap, circlize, ConsensusClusterPlus, igraph,
         supraHex, limma, edgeR, sva, EDASeq, survminer, genefilter,
         gridExtra, survival, doParallel, parallel, ggrepel (>= 0.6.3),
-        scales, grid
+        scales, grid, DT
 VignetteBuilder: knitr
 LazyData: true
 URL: https://github.com/BioinformaticsFMRP/TCGAbiolinks
 BugReports: https://github.com/BioinformaticsFMRP/TCGAbiolinks/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
-git_branch: RELEASE_3_18
-git_last_commit: 493ef0d
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: c270a75
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-01
 NeedsCompilation: no
-Packaged: 2023-10-24 23:23:24 UTC; biocbuild
+Packaged: 2024-05-01 23:48:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.32.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * skip testing on ppc64el

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Nov 2024 15:56:34 +0100

r-bioc-tcgabiolinks (2.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:49:46 +0200

r-bioc-tcgabiolinks (2.32.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Jul 2024 15:17:32 +0200

## r-bioc-tcgabiolinks 2.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.32.0
+Version: 2.34.0
 Date: 2024-01-01
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
@@ -52,10 +52,10 @@
 RoxygenNote: 7.3.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
-git_branch: RELEASE_3_19
-git_last_commit: c270a75
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-01
+git_branch: RELEASE_3_20
+git_last_commit: 32384fa
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 23:48:56 UTC; biocbuild
+Packaged: 2024-10-30 03:15:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.34.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:40:20 +0100

## r-bioc-tcgabiolinks 2.34.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: TCGAbiolinks: An R/Bioconductor package for integrative analysis
         with GDC data
-Version: 2.34.0
+Version: 2.34.1
 Date: 2024-01-01
 Author: Antonio Colaprico,
     Tiago Chedraoui Silva,
@@ -53,9 +53,9 @@
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/TCGAbiolinks
 git_branch: RELEASE_3_20
-git_last_commit: 32384fa
-git_last_commit_date: 2024-10-29
+git_last_commit: 93c796a4
+git_last_commit_date: 2025-03-06
 Repository: Bioconductor 3.20
-Date/Publication: 2024-10-29
+Date/Publication: 2025-03-06
 NeedsCompilation: no
-Packaged: 2024-10-30 03:15:09 UTC; biocbuild
+Packaged: 2025-03-07 00:57:31 UTC; biocbuild

=== debian/changelog ===
r-bioc-tcgabiolinks (2.34.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Mar 2025 11:32:37 +0900

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                r-cran-purrr,
                r-cran-xml2,
                r-cran-httr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tcgabiolinks.git
 Homepage: https://bioconductor.org/packages/TCGAbiolinks/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/TCGAbiolinks.html .*/TCGAbiolinks_(.*).tar.gz
